Is my OS supported?

Current release version of SyncMate application for Mac is compatible with Mac OS X 10.8.5 and later. 

Detailed information on compatible platforms can be derived from SyncMate product page at our website.

If your Mac is running under older versions of Mac OS X (10.6.6 – 10.8.5), take a look at SyncMate 4, which is still distributed from your web-site.